#!/bin/bash

datei1="$1" # Referenzdatei (Semikolon-getrennt)
datei2="$2" # Neue Geräte (Komma-getrennt)

# Prüfe Dateiexistenz
if [[ ! -f "$datei1" || ! -f "$datei2" ]]; then
  echo "Beide Dateien müssen existieren!"
  exit 1
fi

# Extrahiere IPs aus Referenzdatei (Spalte 45)
awk -F';' 'NR>1 {print $45}' "$datei1" > ref_ips.tmp

# Finde neue Einträge und gib Hostname/IP/Device-Type aus
awk -F',' -v OFS=',' '
  FNR==NR {ips[$0]++; next} 
  FNR>1 && !($2 in ips) {print $1, $2, $3}
' ref_ips.tmp "$datei2"

# Aufräumen
rm ref_ips.tmp
